CREATE TABLE WAR_TRANSACTIONS_ITEMS_CODES
(
  ID                        VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  WAR_TRANSACTION_ITEM_ID   VARCHAR2(100 CHAR)  NOT NULL,
  CODING_TYPE_CODE          VARCHAR2(10 CHAR),
  CODING_TYPE_NAME          VARCHAR2(300 CHAR),
  ITEM_CODE                 VARCHAR2(200 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WAR_TRANSACTIONS_ITEMS
(
  ID                        VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  WAR_TRANSACTION_ID        VARCHAR2(100 CHAR)  NOT NULL,
  MATERIAL_CATEGORY_CODE    VARCHAR2(10 CHAR),
  MATERIAL_CATEGORY_NAME    VARCHAR2(300 CHAR),
  BATCH_CODE                VARCHAR2(50 CHAR),
  MEASUREMENT_UNIT_ID       VARCHAR2(100 CHAR),
  MEASUREMENT_UNIT_NAME     VARCHAR2(300 CHAR),
  QUANTITY                  NUMBER(20),
  UNIT_COST                 NUMBER(20),
  NET_COST                  NUMBER(20),
  VAT                       NUMBER(20),
  TOTAL_COST                NUMBER(20),
  DISCOUNT                  NUMBER(20),
  REBATE                    NUMBER(20),
  EXTRA_DISCOUNT            NUMBER(20),
  UNIT_PRICE_WHOLESALE      NUMBER(20),
  UNIT_PRICE_RETAIL         NUMBER(20),
  UNIT_PRICE_HOSPITAL       NUMBER(20),
  UNIT_PRICE_REFERENCE      NUMBER(20)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WAR_TRANSACTIONS
(
  ID                              VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP                DATE          DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP        VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP            VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                      NUMBER(1)     DEFAULT 0                     NOT NULL,
  WAREHOUSE_CODE                  VARCHAR2(10 CHAR),
  WAREHOUSE_NAME                  VARCHAR2(300 CHAR),
  RECORD_TYPE_CODE                VARCHAR2(10 CHAR),
  RECORD_TYPE_NAME                VARCHAR2(300 CHAR),
  TRANSACTION_INTERNAL_NUMBER     VARCHAR2(300 CHAR),
  ORGANIZATION_BI_CODE            VARCHAR2(20 CHAR),
  ORGANIZATION_NAME               VARCHAR2(300 CHAR),
  INVOLVED_DEPARTMENT_ID          VARCHAR2(100 CHAR),
  INVOLVED_DEPARTMENT_NAME        VARCHAR2(300 CHAR),
  TRANSACTION_DATE                VARCHAR2(20 CHAR),
  TRANSACTION_DESCRIPTION         VARCHAR2(4000 CHAR),
  MATERIAL_CATEGORY_CODE          VARCHAR2(10 CHAR),
  MATERIAL_CATEGORY_NAME          VARCHAR2(300 CHAR),
  SUPPLIER_TAX_NUMBER             VARCHAR2(20 CHAR),
  SUPPLIER_NAME                   VARCHAR2(300 CHAR),
  PROCUREMENT_TYPE_CODE           VARCHAR2(10 CHAR),
  PROCUREMENT_TYPE_NAME           VARCHAR2(300 CHAR),
  CONTRACT_YEAR                   VARCHAR2(4 CHAR),
  CONTRACT_NUMBER                 VARCHAR2(100 CHAR),
  TRANSPORTATION_COST             NUMBER(20),
  REFERENCE_CODE                  VARCHAR2(50 CHAR),
  PATIENT_SOCIAL_SECURITY_NUMBER  VARCHAR2(20 CHAR),
  PATIENT_RECORD_NUMBER           VARCHAR2(20 CHAR),
  PATIENT_INSURANCE_TYPE_CODE     VARCHAR2(10 CHAR),
  PATIENT_INSURANCE_TYPE_NAME     VARCHAR2(200 CHAR),
  PATIENT_INSURANCE_TYPE_NOTES    VARCHAR2(300 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


ALTER TABLE WAR_TRANSACTIONS_ITEMS_CODES ADD (
  CONSTRAINT WAR_ITEMS_CODES_PK
 PRIMARY KEY
 (ID));

ALTER TABLE WAR_TRANSACTIONS_ITEMS ADD (
  CONSTRAINT WAR_ITEMS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE WAR_TRANSACTIONS ADD (
  CONSTRAINT WAREHOUSES_PK
 PRIMARY KEY
 (ID));

ALTER TABLE WAR_TRANSACTIONS_ITEMS_CODES ADD (
  CONSTRAINT WAR_ITEMS_CODES_R01 
 FOREIGN KEY (WAR_TRANSACTION_ITEM_ID) 
 REFERENCES WAR_TRANSACTIONS_ITEMS (ID) DISABLE);

ALTER TABLE WAR_TRANSACTIONS_ITEMS ADD (
  CONSTRAINT WAR_ITEMS_R01 
 FOREIGN KEY (WAR_TRANSACTION_ID) 
 REFERENCES WAR_TRANSACTIONS (ID) DISABLE);

