CREATE TABLE PAYROLLS
(
  ID                             VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP               DATE           DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP       VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP           VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                     NUMBER(1)      DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE           VARCHAR2(20 CHAR),
  ORGANIZATION_NAME              VARCHAR2(300 CHAR),
  DEPARTMENT_ID                  VARCHAR2(100 CHAR),
  DEPARTMENT_NAME                VARCHAR2(300 CHAR),
  SOCIAL_SECURITY_NUMBER         VARCHAR2(20 CHAR),
  PAYROLL_YEAR_MONTH             VARCHAR2(6 CHAR),
  CLEARING_YEAR_MONTH            VARCHAR2(6 CHAR),
  PAYROLL_TYPE_CODE              VARCHAR2(10 CHAR),
  PAYROLL_TYPE_NAME              VARCHAR2(300 CHAR),
  PAYROLL_GROSS_AMOUNT           NUMBER(20),
  PAYROLL_NET_AMOUNT             NUMBER(20),
  EMPLOYEE_DEDUCTIONS_AMOUNT     NUMBER(20),
  EMPLOYER_CONTRIBUTIONS_AMOUNT  NUMBER(20),
  REGULAR_MONTHLY_SALARY         NUMBER(20),
  CUTBACK_ON_CALLS               NUMBER(20),
  ACTIVE_ON_CALLS                NUMBER(20),
  READINESS_ON_CALLS             NUMBER(20),
  MIXED_ON_CALLS                 NUMBER(20),
  OVERTIME_HOURS                 NUMBER(20),
  UNIVERSITY_FEE                 NUMBER(20),
  PERSONNEL_POSITION_LEVEL_ID    VARCHAR2(10 CHAR),
  PERSONNEL_POSITION_LEVEL_NAME  VARCHAR2(300 CHAR),
  PERSONNEL_CATEGORY_ID          VARCHAR2(100 CHAR),
  PERSONNEL_CATEGORY_NAME        VARCHAR2(300 CHAR),
  PERSONNEL_BRANCH_ID            VARCHAR2(100 CHAR),
  PERSONNEL_BRANCH_NAME          VARCHAR2(300 CHAR),
  MEDICAL_SPECIALITY_ID          VARCHAR2(100 CHAR),
  MEDICAL_SPECIALITY_NAME        VARCHAR2(300 CHAR),
  EMPLOYMENT_REL_TYPE_ID         VARCHAR2(100 CHAR),
  EMPLOYMENT_REL_TYPE_NAME       VARCHAR2(300 CHAR),
  EMPLOYMENT_STATUS_ID           VARCHAR2(100 CHAR),
  EMPLOYMENT_STATUS_NAME         VARCHAR2(300 CHAR),
  UNIVERSITY_DOCTOR              NUMBER(1),
  ASSISTANT_DOCTOR               NUMBER(1),
  SPECIAL_PARTNER                NUMBER(1),
  STATUS_ID                      VARCHAR2(100 CHAR),
  STATUS_NAME                    VARCHAR2(300 CHAR),
  INTERN                         NUMBER(1),
  PERSONNEL_POSITION_KIND_ID     VARCHAR2(100 CHAR),
  PERSONNEL_POSITION_KIND_NAME   VARCHAR2(300 CHAR),
  PERSONAM_CAUSE_ID              VARCHAR2(100 CHAR),
  PERSONAM_CAUSE_NAME            VARCHAR2(300 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PAYROLLS_ALLOWANCES
(
  ID                        VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  PAYROLL_ID                VARCHAR2(100 CHAR),
  ALLOWANCE_TYPE_ID         VARCHAR2(100 CHAR),
  ALLOWANCE_TYPE_NAME       VARCHAR2(300 CHAR),
  ALLOWANCE_GROSS_AMOUNT    NUMBER(20)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE PAYROLLS ADD (
  CONSTRAINT PAYROLLS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PAYROLLS_ALLOWANCES ADD (
  CONSTRAINT PAYROLLS_ALLOWANCES_PK
 PRIMARY KEY
 (ID));

ALTER TABLE PAYROLLS_ALLOWANCES ADD (
  CONSTRAINT PAYROLLS_ALLOWANCES_R01 
 FOREIGN KEY (PAYROLL_ID) 
 REFERENCES PAYROLLS (ID) DISABLE);
