CREATE TABLE FIN_TRANSACTIONS_ACCOUNTS
(
  ID                             VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP               DATE           DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP       VARCHAR2(20 CHAR) NOT NULL,
  SRC_UPDATE_TIMESTAMP           VARCHAR2(20 CHAR) NOT NULL,
  IS_DELETED                     NUMBER(1)      DEFAULT 0                     NOT NULL,
  FIN_TRANSACTION_ID             VARCHAR2(100 CHAR) NOT NULL,
  ACCOUNT_CODE                   VARCHAR2(50 CHAR),
  ACCOUNT_TYPE_CODE              VARCHAR2(10 CHAR),
  ACCOUNT_TYPE_NAME              VARCHAR2(300 CHAR),
  ACCOUNT_TRANSACTION_TYPE_CODE  VARCHAR2(10 CHAR),
  ACCOUNT_TRANSACTION_TYPE_NAME  VARCHAR2(300 CHAR),
  AMOUNT                         NUMBER(20),
  INVOICE_NUMBER                 VARCHAR2(300 CHAR),
  SYSTEM_ENTRY_DATE              VARCHAR2(20 CHAR),
  CLEARANCE_DATE                 VARCHAR2(20 CHAR),
  INVOICE_DATE                   VARCHAR2(20 CHAR),
  TAX_IDENTIFICATION_NUMBER      VARCHAR2(20 CHAR),
  TRANSACTION_DESCRIPTION        VARCHAR2(4000 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FIN_TRANSACTIONS
(
  ID                        VARCHAR2(100 CHAR),
  INSERT_TIMESTAMP          DATE                DEFAULT SYSDATE               NOT NULL,
  SRC_GENERATION_TIMESTAMP  VARCHAR2(20 CHAR)   NOT NULL,
  SRC_UPDATE_TIMESTAMP      VARCHAR2(20 CHAR)   NOT NULL,
  IS_DELETED                NUMBER(1)           DEFAULT 0                     NOT NULL,
  ORGANIZATION_BI_CODE      VARCHAR2(20 CHAR),
  ORGANIZATION_NAME         VARCHAR2(300 CHAR),
  TRANSACTION_TYPE_CODE     VARCHAR2(10 CHAR),
  TRANSACTION_TYPE_NAME     VARCHAR2(300 CHAR),
  START_DATE                VARCHAR2(20 CHAR),
  END_DATE                  VARCHAR2(20 CHAR)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;



ALTER TABLE FIN_TRANSACTIONS_ACCOUNTS ADD (
  CONSTRAINT FIN_TRANSACTIONS_ACC_PK
 PRIMARY KEY
 (ID));

ALTER TABLE FIN_TRANSACTIONS ADD (
  CONSTRAINT FINANCIAL_TRANSACTIONS_PK
 PRIMARY KEY
 (ID));

ALTER TABLE FIN_TRANSACTIONS_ACCOUNTS ADD (
  CONSTRAINT FIN_TRANSACTIONS_ACC_R01 
 FOREIGN KEY (FIN_TRANSACTION_ID) 
 REFERENCES FIN_TRANSACTIONS (ID));


